Page MenuHomePhabricator

InputBox should use Mediawiki.ui
Closed, ResolvedPublic

Description

InputBox is widely used for (slightly) interactive workflows on many wikis. Now that we have a standard house style for buttons in the form of the mw-ui-button styles (default, progressive, constructive and destructive styles), we should make these widely-used InputBox buttons use them.

http://tools.wmflabs.org/styleguide/desktop/section-2.html

Per the style guide, probably the two search types (search, fulltext, search2) should use the default white Agora style, while the others which open an edit window for a new page or addition to an existing page (create, comment, commenttitle) should use the progressive style.


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:04 AM
bzimport set Reference to bz61526.
bzimport added a subscriber: Unknown Object (MLST).
Ragesoss created this task.Feb 19 2014, 1:06 AM

+1 to what Sage Ross said.

We're using inputboxes and mw-ui-buttons quite a lot now on the education portal on Outreach wiki, and it'd be better if they all looked the same: that is, pretty and new. :)

Currently an inputbox cannot be a progressive button as shown here:
http://tools.wmflabs.org/styleguide/desktop/section-3.html

We wish that this were possible. Hoping you can help.

Thanks!

Change 183397 had a related patch set uploaded (by McIntireEvan):
Update buttons to use mw-ui styles

https://gerrit.wikimedia.org/r/183397

Patch-For-Review

whym added a subscriber: whym.Jan 11 2015, 3:25 AM

Change 183397 merged by jenkins-bot:
Update buttons to use mw-ui styles

https://gerrit.wikimedia.org/r/183397

hm, why only the buttons? can we have 'mw-ui-input' in the text input as well?

Glaisher renamed this task from Input box buttons should use Mediawiki.ui button styles to InputBox should use Mediawiki.ui.Feb 11 2015, 4:50 AM
Glaisher removed a project: Patch-For-Review.

If no one else does it before me, I'll work on this one I setup my dev environment again

Change 192260 had a related patch set uploaded (by McIntireEvan):
Update inputs to use mw-ui styles

https://gerrit.wikimedia.org/r/192260

Patch-For-Review

Florian claimed this task.Feb 23 2015, 8:46 AM

Change 192282 had a related patch set uploaded (by Florianschmidtwelzow):
Hygiene: Use MediaWiki-UI for all elements

https://gerrit.wikimedia.org/r/192282

Patch-For-Review

The information page on mediawiki.org would look like:

Change 192260 abandoned by McIntireEvan:
Update inputs to use mw-ui styles

Reason:
https://gerrit.wikimedia.org/r/#/c/192282/

https://gerrit.wikimedia.org/r/192260

@McIntireEvan: sry, i didn't know, that you already had a change for it :/

@Florian Don't worry about it, your change was better than mine and I learned some stuff from it so no harm done!

Change 192282 merged by jenkins-bot:
Hygiene: Use MediaWiki-UI for all elements

https://gerrit.wikimedia.org/r/192282

Florian closed this task as Resolved.Feb 27 2015, 5:39 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 20 2016, 9:02 PM